# Start ignoring YAMLLintBear
include: 'https://gitlab.com/coala/mobans/raw/master/templates/ci/gitlab-ci-base.yml'
# Stop ignoring YAMLLintBear

cache:
  paths:
    - $CI_PROJECT_PATH/.cache/pip


.common_deps_script: &common_deps_script |
  $PYTHON -m pip install setuptools==21 pip==9
  pip install -r test-requirements.txt -r requirements.txt

.common_script:
  before_script:
    - *common_deps_script
  script:
    - $PYTHON -m pytest --cov-fail-under=100
    - $PYTHON -m codecov
  retry: 2
tests:3.4:
  extends: .common_script
  image: python:3.4
  coverage: '/Total coverage: \d+\.\d+%/'

tests:3.5:
  extends: .common_script
  image: python:3.5
  coverage: '/Total coverage: \d+\.\d+%/'

tests:3.6:
  extends: .common_script
  image: python:3.6
  coverage: '/Total coverage: \d+\.\d+%/'

lint:
  image: python:3.5
  before_script:
    - $PYTHON -m pip install setuptools==21 pip==9
    - pip install 'git+https://github.com/coala/coala#egg=coala'
    - pip install 'git+https://github.com/coala/coala-bears#egg=coala-bears'
  script:
    - coala --ci

moban:
  image: python:3.5
  before_script:
    - pip install moban
  script:
    - chmod 755 .ci/check_moban.sh
